Межсайтовый скриптинг в AWStats

Дата публикации:
18.08.2008
Дата изменения:
18.08.2008
Всего просмотров:
3868
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-3714
CVE-2008-5080
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
AWStats 6.x
Уязвимые версии: AWStats 6.8, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в URL в сценарии awstats.pl. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Для успешной эксплуатации уязвимости приложение должно быть запущено как CGI сценарий.

URL производителя: awstats.sourceforge.net

Решение: Установите последнюю версию 6.9 (beta) с сайта производителя.

или введите имя

CAPTCHA